<?php
  
/*
--------------------
Подтверждение E-mail
--------------------
*/
  
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".TEXT_ABSOLUTE($user['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=settings'>".LG('Настройки аккаунта')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Подтверждение E-mail')."";
ECHO "</div>";

ECHO "<div class='list-body'>";

ECHO "<div class='list-menu'>";
ECHO "<b>".LG('Текущий адрес')."</b>: ".($user['EMAIL'] != NULL ? TEXT_ABSOLUTE($user['EMAIL']) : LG('не указан'))."";
ECHO "</div>";

ECHO "</div>";

IF ($user['REG_CODE'] > 0 && $user['REG_EMAIL'] > NULL){
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $code = INTVAL(POST('code'));
    
    IF (!POST('captcha') OR !POST('captcha_key')) {
      
      ERROR('Вы не ввели числа с картинки', 'session');
      $err_data = 1;
    
    }
    
    IF (MD5((int)POST('captcha') + $captcha_random_seed) != POST('captcha_key')) {  
      
      ERROR('Числа с картинки введены неверно', 'session');
      $err_data = 1;
    
    }
    
    IF ($user['REG_CODE'] != $code){
      
      ERROR('Неверный код', 'session');
      $err_data = 1;
      
    }
    
    IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `EMAIL` = '".ADSL($user['REG_EMAIL'])."'") == 1) {
      
      ERROR('Этот E-mail адрес уже зарегистрирован на сайте', 'session');
      $err_data = 1;
      
    }
    
    IF ($err_data == 1){
      
      REDIRECT('?path=settings&section=email');
    
    }
    
    DB::GET_SET("UPDATE `USERS` SET `EMAIL` = '".ADSL($user['REG_EMAIL'])."', `REG_EMAIL` = '".NULL."', `REG_OK` = '0', `REG_CODE` = '0' WHERE `ID` = '".$user['ID']."' LIMIT 1");
    
    SUCCESS('Код успешно подтвержден');
    REDIRECT('?path=settings');
    
  }
  
  ECHO "<div class='list-body'>";
  ECHO "<div class='list-menu'>";
  ECHO "".LG('Письмо с кодом подтверждения отправлены на адрес')." <b>".TEXT_ABSOLUTE($user['REG_EMAIL'])."</b><br /><br />";
  
  ECHO "<form method='post'>";
  
  HTML::INPUT('code', 'Код', 'Введите полученный код:', NULL, NULL, 'form-control-30');
  
  CAPTCHA('Введите числа с картинки', 'form-control-30');
  
  HTML::BUTTON('btn-big', 'ok', 'plus', 'Подтвердить');
  
  ECHO "</form>";
  
  ECHO "</div>";
  ECHO "</div>";  
  
}

IF (POST('ok2')){
  
  $email = CLEARSPECIALCHARS(ADSL(POST('email')));
  $code = RAND(111111,999999);
  
  $err_data = 0;
  
  IF (!PREG_MATCH("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9]+)?@[a-z0-9_.-]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i", $email)) {
    
    ERROR('Проверьте правильность адреса', 'session');
    $err_data = 1;
  
  }
  
  IF (STR($email) == 0){
    
    ERROR('Вы не указали E-mail', 'session');
    $err_data = 1; 
    
  }
  
  IF (SHIF(POST('password')) != $user['PASSWORD']){
    
    ERROR('Неверный пароль', 'session');
    $err_data = 1; 
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `EMAIL` = '".$email."'") == 1) {
    
    ERROR('Этот E-mail адрес уже зарегистрирован на сайте', 'session');
    $err_data = 1; 
      
  }
  
  IF ($err_data == 1){
    
    REDIRECT('?path=settings&section=email');
  
  }
  
  EMAIL(TEXT_ABSOLUTE($email), 'Подтверждение E-mail на '.HTTP_HOST.'', 'Здравствуйте. Вы получили это письмо для подтверждения E-mail адреса на нашем сайте <b>'.HTTP_HOST.'</b>.<br><br> Введите этот код для подтверждения: <b>'.$code.'</b>', TEXT_ABSOLUTE(CONFIG('EMAIL')));
  
  DB::GET_SET("UPDATE `USERS` SET `REG_EMAIL` = '".$email."', `REG_CODE` = '".$code."', `REG_OK` = '1' WHERE `ID` = '".$user['ID']."' LIMIT 1");
  
  SUCCESS('Письмо с кодом успешно отправлены на указанный адрес');
  REDIRECT('?path=settings&section=email');
  
}

ECHO "<div class='list-body'>";
ECHO "<div class='list-menu'>";

ECHO "<form method='post'>";
  
HTML::INPUT('email', 'E-mail', 'Введите новый E-mail адрес:', NULL, NULL, 'form-control-100');

HTML::INPUT('password', 'Пароль', 'Введите пароль от аккаунта:', NULL, NULL, 'form-control-100', 'password');
  
HTML::BUTTON('btn-big', 'ok2', 'envelope', 'Выслать код');
  
ECHO "</form>";
  
ECHO "</div>";
ECHO "</div>";

ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".TEXT_ABSOLUTE($user['LOGIN'])."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "<a href='?path=settings'>".LG('Настройки аккаунта')."</a>";
ECHO "".ICONS('angle-right', 22, 'fa-fw')."";
ECHO "".LG('Подтверждение E-mail')."";
ECHO "</div>";
  
?>